Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitDelegateProcessor

    java.lang.Object
      com.vordel.circuit.FilterContainer
          com.vordel.circuit.MessageProcessor
              com.vordel.circuit.CircuitDelegateProcessor

Direct Known Subclasses:
  CircuitDelegatePerBodyProcessor

    public class CircuitDelegateProcessor

extends MessageProcessor

Field Summary
`protected Circuit` | `circuit`

Fields inherited from class com.vordel.circuit.MessageProcessor
`logMask, logMaskType`

Constructor Summary
`CircuitDelegateProcessor()`

Method Summary
`void` | `filterAttached(FilterConfigureContext ctx, Entity entity)` Called on a filter's container when the filter is configured.
`boolean` | `invoke(CircuitInvocation c, Message m)` invoked by circuit to act on a message
`void` | `setReferenceContext(java.lang.Object context)`

Methods inherited from class com.vordel.circuit.MessageProcessor
`filterDetached, getCategory, getLogMask, logFailure, logFatal, logMessagePayload, logSuccess, report, report, toString`

Methods inherited from class com.vordel.circuit.FilterContainer
`configureFilter, createFilterContainer, getFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### circuit

    protected Circuit circuit

Constructor Detail

### CircuitDelegateProcessor

    public CircuitDelegateProcessor()

Method Detail

### filterAttached

    public void filterAttached(FilterConfigureContext ctx,
                               Entity entity)
                        throws EntityStoreException

  Description copied from class: `FilterContainer`
  Called on a filter's container when the filter is configured. Any domain-specific initialisation of the filter container can be done at this point. This will be called at least once when the filter attaches.

  Overrides:
    `filterAttached` in class `MessageProcessor`
  Parameters:
    `ctx` - configuration context for the filter attached to this container.
  Throws:
    `EntityStoreException`

### setReferenceContext

    public void setReferenceContext(java.lang.Object context)

### invoke

    public boolean invoke(CircuitInvocation c,
                          Message m)
                   throws CircuitAbortException

  Description copied from class: `MessageProcessor`
  invoked by circuit to act on a message

  Specified by:
    `invoke` in class `MessageProcessor`
  Parameters:
    `c` - The CircuitInvocation context, including the filter's owner circuit.
    `m` - The message
  Returns:
    predicate indicating success of filter execution
  Throws:
    `CircuitAbortException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel